<div class="container mb-5">
  <form [formGroup]="registerForm">
    <div class="loader" *ngIf="isLoading">
      <mat-spinner></mat-spinner>
    </div>
    <mat-card>
      <div class="row name-info mb-3">
        <mat-form-field class="title-name col-2" appearance="fill">
          <mat-label>คำนำหน้า</mat-label>
          <mat-select [formControl]="this.registerForm.controls.title" required>
            <mat-option>โปรดเลือก</mat-option>
            <mat-option *ngFor="let title of titleList" [value]="title">
              {{ title.viewValue }}
            </mat-option>
          </mat-select>
          <mat-error
            *ngIf="this.registerForm.controls.title.hasError('required')"
            >โปรดเลือกคำนำหน้าชื่อ</mat-error
          >
        </mat-form-field>

        <mat-form-field class="name col-5">
          <mat-label>ชื่อภาษาไทย</mat-label>
          <mat-hint>* ไม่ต้องระบุคำนำหน้าชื่อ (เช่น นาย, นาง, นางสาว)</mat-hint>
          <input
            matInput
            [formControl]="this.registerForm.controls.name"
            required
          />
          <mat-error
            class="errMsg"
            *ngIf="this.registerForm.controls.name.hasError('pattern')"
          >
            กรุณากรอกข้อมูลตัวอักษรภาษาไทยเท่านั้น
          </mat-error>
        </mat-form-field>

        <mat-form-field class="surname col-5">
          <mat-label>นามสกุลภาษาไทย</mat-label>
          <input
            matInput
            [formControl]="this.registerForm.controls.surname"
            required
          />
          <mat-error
            class="errMsg"
            *ngIf="this.registerForm.controls.surname.hasError('pattern')"
          >
            กรุณากรอกข้อมูลตัวอักษรภาษาไทยเท่านั้น
          </mat-error>
        </mat-form-field>
      </div>

      <div class="row mb-3">
        <mat-form-field class="id col-12">
          <mat-label>เลขประจำตัวประชาชน</mat-label>
          <input
            maxlength="13"
            matInput
            [formControl]="this.registerForm.controls.id"
          />
          <mat-error
            class="errMsg"
            *ngIf="this.registerForm.controls.id.hasError('minlength')"
          >
            กรุณากรอกเลขบัตรประชาชน 13 หลัก
          </mat-error>
        </mat-form-field>
      </div>

      <div class="row mb-3">
        <mat-form-field class="back-id col-10">
          <mat-label>รหัสหลังบัตรประจำตัวประชาชน</mat-label>
          <mat-hint
            >* โปรดกรอก 2 หลักแรกเป็นอักษรภาษาอังกฤษและ 10
            หลักหลังเป็นตัวเลข</mat-hint
          >
          <input matInput [formControl]="this.registerForm.controls.backId" />
        </mat-form-field>
        <div class="col-2">
          <img class="id-card" src="/assets/citizencard.svg" />
        </div>
      </div>

      <div class="row mb-3">
        <div class="col-12">
          <label>วันเดือนปีเกิดที่ปรากฎในบัตรประชาชน *</label>
        </div>
        <div class="col-12">
          <mat-radio-group aria-label="Select an option">
            <mat-radio-button class="mr-3" value="1"
              >มีวัน/เดือน/ปีเกิด</mat-radio-button
            >
            <mat-radio-button class="mr-3" value="2"
              >มีเฉพาะเดือนและปีเกิด</mat-radio-button
            >
            <mat-radio-button class="mr-3" value="3"
              >มีเฉพาะปีเกิด</mat-radio-button
            >
          </mat-radio-group>
        </div>
      </div>

      <div class="row mb-3">
        <mat-form-field class="col-4" appearance="fill">
          <mat-label>ปี</mat-label>
          <mat-select [formControl]="this.registerForm.controls.year" required>
            <mat-option>โปรดเลือก</mat-option>
            <mat-option *ngFor="let year of yearList" [value]="year">
              {{ year }}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class="col-4" appearance="fill">
          <mat-label>เดือน</mat-label>
          <mat-select [formControl]="this.registerForm.controls.month" required>
            <mat-option>โปรดเลือก</mat-option>
            <mat-option *ngFor="let month of monthList" [value]="monthList">
              {{ month }}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class="col-4" appearance="fill">
          <mat-label>วัน</mat-label>
          <mat-select [formControl]="this.registerForm.controls.day" required>
            <mat-option>โปรดเลือก</mat-option>
            <mat-option *ngFor="let day of dayList" [value]="day">
              {{ day }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div class="row mb-3">
        <div class="col-12">
          <label class="txt-small"
            >* เพื่อการติดต่อและยืนยัน OTP (จำกัดการลงทะเบียน 1 เบอร์ต่อ 1
            คนเท่านั้น)</label
          >
        </div>
        <div class="col-12">
          <label class="txt-small"
            >หากท่านมี G-Wallet โครงการชิมช้อปใช้
            สามารถระบุเบอร์เดิมเพื่อความสะดวกในการยืนยันตัวตนบนแอปฯ
            เป๋าตัง</label
          >
        </div>
        <mat-form-field class="id col-12">
          <mat-label>เบอร์โทรศัพท์มือถือที่ติดต่อได้</mat-label>
          <input
            type="number"
            matInput
            [formControl]="this.registerForm.controls.phone"
          />
        </mat-form-field>
      </div>

      <div class="row mb-3">
        <mat-form-field class="id col-12">
          <mat-label>อีเมลล์ (ถ้ามี) ให้ระบุได้เพียง 1 อีเมลล์ </mat-label>
          <input
            type="email"
            matInput
            [formControl]="this.registerForm.controls.email"
          />
          <mat-error *ngIf="this.registerForm.controls.email.hasError('email')"
            >รูปแบบอีเมลล์ไม่ถูกต้อง</mat-error
          >
        </mat-form-field>
      </div>
      <p class="footer-txt mb-3">
        หากท่านได้รับสิทธิและมีการใช้สิทธิโครงการคนละครึ่ง
        ท่านจะไม่ได้รับสิทธิในการเข้าร่วมมาตรการช้อปดีมีคืน
      </p>
      <mat-card-footer
        class="register-footer d-flex justify-content-end mb-2 pr-3"
      >
        <button mat-button class="mr-3">ยกเลิก</button>
        <button mat-raised-button color="primary" [swal]="confirmSwal">
          ลงทะเบียน
        </button>
      </mat-card-footer>
    </mat-card>
  </form>
  <swal
    #confirmSwal
    title="ต้องการยืนยันข้อมูล ?"
    text="กรุณายืนยันว่าต้องการส่งข้อมูล"
    icon="warning"
    [showLoaderOnConfirm]="true"
    [showCancelButton]="true"
    [focusCancel]="true"
    (confirm)="handleSubmit()"
  >
  </swal>

  <swal
    #completeSwal
    title="ส่งข้อมูลเรียบร้อยแล้ว"
    text="ข้อมูลของท่านได้เข้าสู่ระบบเรียบร้อยแล้ว"
    icon="success"
  >
  </swal>
</div>
